- Qt 5.15
- Qt 3D
- C++ Classes
- QAbstractSkeleton
- Qt 5.15.18 Reference Documentation

# QAbstractSkeleton Class

class Qt3DCore::QAbstractSkeleton

A skeleton contains the joints for a skinned mesh. More...

Header: | #include <QAbstractSkeleton>
qmake: | QT += 3dcore
Since: | Qt 5.10
Instantiated By: | AbstractSkeleton
Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DCore::QSkeleton and Qt3DCore::QSkeletonLoader

This class was introduced in Qt 5.10.

- List of all members, including inherited members

## Properties

- jointCount : const int

## Public Functions

int | jointCount() const

## Signals

void | jointCountChanged(int jointCount)

## Detailed Description

Do not use this class directly. You should use QSkeletonLoader if loading skeleton data from a file (most likely) or QSkeleton if creating the skeleton and skinned mesh data yourself (mainly for people creating editors or tooling).

## Property Documentation

### jointCount : const int

Holds the number of joints contained in the skeleton

Access functions:

int | jointCount() const

Notifier signal:

void | jointCountChanged(int jointCount)